<!DOCTYPE html>
<html>
<head>
  <title>Blue and Red Divisions</title>
  <style>
    /* Styling for the divisions */
    #blueDivision {
      width: 50%;
      height: 100vh;
      background-color: blue;
      float: left;
    }

    #redDivision {
      width: 50%;
      height: 100vh;
      background-color: red;
      float: left;
    }

    /* Clearing the floats */
    .clearfix::after {
      content: "";
      clear: both;
      display: table;
    }
  </style>
</head>
<body>
  <!-- Blue Division -->
  <div id="blueDivision">
    <!-- Content for the blue division goes here -->
    <h1>This is the Blue Division</h1>
    <p>This division has a blue background color.</p>
  </div>

  <!-- Red Division -->
  <div id="redDivision">
    <!-- Content for the red division goes here -->
    <h1>This is the Red Division</h1>
    <p>This division has a red background color.</p>
  </div>

  <!-- Clear floats -->
  <div class="clearfix"></div>
</body>
</html>
